Subject: [Simple] [Fwd: [Sip] Updated draft-niemi-sip-subnot-etags]

From: Aki Niemi <[email-masked]>
Date: Tue, 07 Nov 2006 22:50:48 +0000

FYI,

Any comments are welcome. Please send them to the SIP WG list.

Cheers,
Aki

------- Välitetty viesti ---------
> Lähettäjä: ext Aki Niemi <[email-masked]>
> Vastaanottaja: IETF SIP List <[email-masked]>
> Aihe: [Sip] Updated draft-niemi-sip-subnot-etags
> Päiväys: Sun, 05 Nov 2006 09:24:57 -0800
> 
> Hodwy,
> 
> Managed to squeeze in an update to the conditional subscribe draft:
> 
> http://www.ietf.org/internet-drafts/draft-niemi-sip-subnot-etags-02.txt
> 
> Major changes include:
> 
> - Bunch of clarifications and fixes contributed by Johnny Vrancken
> 
> - Added the concept of "*" entity-tag, as suggested by Christian Schmidt
> 
> The rationale for the latter change is that it turns out if you're
> suppressing NOTIFYs within the subscription, it doesn't matter what the
> actual value of the entity-tag is; the superfluous notifications should
> simply get suppressed by default. It is now possible by including
> 
>    Suppress-Notify-If-Match: *
> 
> to the SUBSCRIBE in subscription refreshes/unsubscribes. This has some
> other interesting uses as well, like being able to do a HEAD like query
> for the current entity-tag, or a heartbeat-type function to check the
> liveliness of a resource (without the extra cost of receiving the
> notification).
> 
> In essence, the client need not bother tracking the etags unless it is
> resuming a subscription, or using polling to query the state. To me,
> this is a simple addition that doesn't introduce any complexity, and
> ought to be the default behavior anyway.
> 
> I'm planning to make a fairly extensive rewrite of this draft to make it
> look more like an implementation spec, including adding detailed
> examples and moving some of the requirements text to an appendix.
> 
> However, before I commit to that, it would be nice to get some traction
> to the draft from the working group.
> 
> Is this something the SIP WG is interested in progressing as a WG effort?
> 
> Cheers,
> Aki
> 
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple